package RT::Condition::QueueExcept;
     
use strict;
use base 'RT::Condition';

=head2 IsApplicable

If the queue name matches one of the configured queues in the
C<@NoGlobalScripQueues> option in F<RT_SiteConfig.pm>, return false;
otherwise return true.

=cut

sub IsApplicable {
    my $self = shift;

    my @QueueList = RT::Config->Get('NoGlobalScripQueues');
    unless(@QueueList) {
        RT::Logger->warn("QueueExcept condition in use but '\@NoGlobalScripQueues' setting not found!");
        return 0;
    }

    my $qname = $self->TicketObj->QueueObj->Name;

    return 0 if grep {$qname eq $_ } @QueueList;
    return 1;
}

1;
