package RT::Condition::StatusChangeQueueExcept;
     
use strict;
use base 'RT::Condition';
use RT::Condition::QueueExcept;
=head2 DESCRIPTION

This wraps QueueExcept and the built-in StatusChange condition,
which allows scrips such as "On Resolve (w/queue exceptions)".
=cut

sub IsApplicable {
    my $self = shift;

    my $statusObj = RT::Condition::StatusChange->new(
	TransactionObj	=> $self->TransactionObj,
	TicketObj	=> $self->TicketObj,
	Argument	=> $self->Argument,
    );
    my $qeObj = RT::Condition::QueueExcept->new(
	TicketObj	=> $self->TicketObj
    );
    return ($statusObj->IsApplicable && $qeObj->IsApplicable);
}

1;
